class Change<T> {
  /// Value before change
  final T $old;

  /// Value after change
  final T $new;
  final DateTime time;
  final int batch;
  Change(this.$new, this.$old, this.batch, {DateTime time})
      : time = DateTime.now();
  String toString() => 'Change(new: ${$new}, old: ${$old})';
}
